<?php
namespace AkMock\Task;

use Ak\Orm\Mapping\DiscriminatorEntry;
use Ak\Task\Task;
use Doctrine\ORM\Mapping as ORM;
use Laminas\Form\Annotation\Type;

/**
 * Class CustomTask
 *
 * @package AkMock\Task
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/task
 *
 * @ORM\Entity()
 * @DiscriminatorEntry("custom_task")
 */
class CustomTask extends Task
{
    /**
     * @var CustomTaskParams
     * @Type("AkMock\Task\CustomTaskParams")
     */
    protected $params;

    /**
     * CustomTask constructor.
     */
    public function __construct()
    {
        $this->params = new CustomTaskParams();
    }
}
